<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>
    <PropertyGroup>
    <WasmEnableSIMD>false</WasmEnableSIMD>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="GoogleApi" Version="5.3.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="8.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.1" />
    <PackageReference Include="Microsoft.OpenApi" Version="1.6.12" />
    <PackageReference Include="QRCoderNetCore" Version="1.0.0" />
    <PackageReference Include="SendGrid" Version="9.29.1" />
    <PackageReference Include="SkiaSharp" Version="2.88.7" />
    <PackageReference Include="SkiaSharp.Views.Desktop.Common" Version="2.88.7" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.5.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.5.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\Aycode.Blazor\AyCode.Blazor.Controllers\AyCode.Blazor.Controllers.csproj" />
    <ProjectReference Include="..\..\TIAM.Database\TIAM.Database.csproj" />
    <ProjectReference Include="..\..\TIAM.Entities.Server\TIAM.Entities.Server.csproj" />
    <ProjectReference Include="..\..\TIAM.Entities\TIAM.Entities.csproj" />
    <ProjectReference Include="..\Client\TIAMWebApp.Client.csproj" />
    <ProjectReference Include="..\Shared\TIAMWebApp.Shared.Application.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="AyCode.Core">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Core.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Database">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Database.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Models">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Models.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Models.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Models.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Utils">
      <HintPath>..\..\..\AyCode.Core\AyCode.Utils\bin\Debug\net8.0\AyCode.Utils.dll</HintPath>
    </Reference>
  </ItemGroup>


</Project>
